These docs are for v1. Click to read the latest docs for v3.

Create

Use this API to generate a link to view your map location and trip status in real time. You can share this link with anyone within or outside the Azuga community. The recipient of the link can view your trip details and estimated time of arrival at the destination.

Along with creating a link for tracking, this API also generates a unique ID (token) for the TrackMe link.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/trackme.json

{  
   "latitude":"35.384375",
   "longitude":"-97.221660",
   "destLatitude":"35.392426",
   "destLongitude":"-97.264345",
   "vehicleId":"a3ee7b4d-f016-11e5-8786-ddaf892ed854",
   "userId":"a3f5cd56-f016-11e5-a6c9-6ff214bbb6cc",
   "ttl":600,
   "message":null
}

API Response Explanation

FieldDescription
codeAPI status code
messageAPI Message (Success/Failure)
generatedAtInMillisAPI generation timestamp in UTC
tokenUnique identifier representing the TrackMe link
aliveBoolean to indicate if the TrackMe link is active or not
urlLink to track your location
Body Params
string

Latitude coordinate of your current location

string

Longitude coordinate of your current location

string

Latitude coordinate of the destination

string

Longitude coordinate of the destination

string

Unique identifier of the vehicle. Either the vehicleId or userId is mandatory

string

Unique identifier of the driver. Either the vehicleId or userId is mandatory

int32
required

Time to live i.e.duration for which the link remains active. The value specified in the request needs to be in seconds.

string

Short text describing the TrackMe link

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json